RE: [R] Read SPSS data (*.sav) in R 1.8.0 (ok) and R1.9.1(error)

From: Sara Drew <skdrew_at_qwest.net>
Date: Tue 27 Jul 2004 - 22:18:40 EST


I have had the same problem (or at least get the same error msg) using the

spss.get() function from Hmisc using R1.9.1 to read an SPSS file. I think
read.spss() from foreign package still works though. Have not tried
spss.get() with any other version of R.


-----Original Message-----
From: r-help-bounces@stat.math.ethz.ch
[mailto:r-help-bounces@stat.math.ethz.ch]On Behalf Of Thomas Lumley Sent: Monday, July 26, 2004 7:29 AM
To: Karl Knoblick
Cc: r-help@stat.math.ethz.ch
Subject: Re: [R] Read SPSS data (*.sav) in R 1.8.0 (ok) and R1.9.1(error)

On Mon, 26 Jul 2004, [iso-8859-1] Karl Knoblick wrote:

> Hallo!
>
> I read SPSS data in the following way:
>
> library(Hmisc)
> library(foreign)
> dat<-spss.get("surv_abb.sav")
>
> In R1.9.1 I got the message:
> "Error in all(arg == choices) : Object "typeDate" not
> found"
>
> In R1.8.0 the same script works fine.
>
> Does anybody know a possibilty to read a SPSS file
> under R1.9.1?
>

YOu should just be able to use read.spss in the "foreign" package.

        -thomas



R-help@stat.math.ethz.ch mailing list
https://www.stat.math.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide!
http://www.R-project.org/posting-guide.html

R-help@stat.math.ethz.ch mailing list
https://www.stat.math.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Tue Jul 27 22:27:46 2004

This archive was generated by hypermail 2.1.8 : Wed 03 Nov 2004 - 22:55:17 EST